Count traces
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/traces/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startedAfter": "<string>",
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statuses": [],
"startedBefore": "<string>"
}
'import requests
url = "https://api.getcargo.io/v1/orchestration/traces/count"
payload = {
"startedAfter": "<string>",
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statuses": [],
"startedBefore": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startedAfter: '<string>',
workflowUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statuses: [],
startedBefore: '<string>'
})
};
fetch('https://api.getcargo.io/v1/orchestration/traces/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123
}Orchestration - Traces
Count traces
Count orchestration traces matching the filter.
POST
/
orchestration
/
traces
/
count
Count traces
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Include traces whose first execution started after this timestamp (ISO string). Required.
When set, restrict traces to this workflow. Omit to search across workflows in the workspace.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter traces by their derived status (pending if any span anywhere in the trace is still pending, error if any of the root run's spans has errored, otherwise success).
Available options:
pending, error, success Include traces whose first execution started on or before this timestamp (ISO string).
Response
Successful response
Number of traces matching the filter.
Was this page helpful?
⌘I

